version: "2"
sql:
  - engine: "postgresql"
    queries: "internal/domain/repository/orders/sqlc/query.sql"
    schema: "db/migrations"
    gen:
      go:
        package: "sqlc"
        out: "internal/domain/repository/orders/sqlc"
        sql_package: "pgx/v5"
        emit_interface: true
        emit_pointers_for_null_types: true
        emit_result_struct_pointers: true
        emit_params_struct_pointers: true
        omit_unused_structs: true
  - engine: "postgresql"
    queries: "internal/domain/repository/stocks/sqlc/query.sql"
    schema: "db/migrations"
    gen:
      go:
        package: "sqlc"
        out: "internal/domain/repository/stocks/sqlc"
        sql_package: "pgx/v5"
        emit_interface: true
        emit_pointers_for_null_types: true
        emit_result_struct_pointers: true
        emit_params_struct_pointers: true
        omit_unused_structs: true
